Messages API
Update a message
Update a message
PATCH
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
messages
/
{message_id}
Update a message
curl --request PATCH \
--url https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id} \
--header 'Content-Type: application/json' \
--data '
{
"submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
}
}
'import requests
url = "https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}"
payload = { "submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
submitted_values: {
name: 'My Name',
title: 'My Title',
value: 'value',
csat_survey_response: {feedback_message: 'Great service!', rating: 5}
}
})
};
fetch('https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"content": "<string>",
"message_type": 123,
"content_type": "<string>",
"content_attributes": {},
"created_at": 123,
"conversation_id": 123,
"attachments": [
{
"id": 123,
"message_id": 123,
"account_id": 123,
"extension": "<string>",
"data_url": "<string>",
"thumb_url": "<string>",
"file_size": 123,
"width": 123,
"height": 123,
"coordinates_lat": 123,
"coordinates_long": 123,
"fallback_title": "<string>",
"meta": {},
"transcribed_text": "<string>"
}
],
"sender": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>",
"thumbnail": "<string>",
"available_name": "<string>",
"availability_status": "<string>",
"email": "<string>",
"phone_number": "<string>",
"identifier": "<string>",
"blocked": true,
"additional_attributes": {},
"custom_attributes": {},
"description": "<string>",
"created_at": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
The numeric ID of the message
Body
application/json
Replies to the Bot Message Types
Show child attributes
Show child attributes
Response
Success
Id of the message
Text content of the message. Can be null for attachment-only messages.
Denotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)
Content type of the message
Additional content attributes of the message
Created at Unix timestamp of the message
Display Id of the conversation the message belongs to
Attachments if any
Show child attributes
Show child attributes
Polymorphic sender payload returned by push_event_data. Available fields vary by sender type.
Show child attributes
Show child attributes
Previous
Get CSAT survey pageYou can redirect the client to this URL, instead of implementing the CSAT survey component yourself.
Next
⌘I
Update a message
